Streams up to 1000 visitors as a CSV file using the same filtering options as the visitor list route.
/api/visitors/export/csvStreams up to 1000 visitors as a CSV file using the same filtering options as the visitor list route. The export format is always CSV, and omitted filters behave the same way they do on the visitor list endpoint. Results are ordered by most recent visitor activity first. Stream the CSV response and use the filename from Content-Disposition.
Bearer API key or X-API-Key header.visitors:readautomation_api)application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
"ID,Identifier,Email,Name,City,Country,Sessions,First Seen,Last Seen,Tags,Blocked\n\"visitor_123\",\"[email protected]\",\"[email protected]\",\"Jane Doe\",\"Warsaw\",\"PL\",\"3\",\"2026-06-01T08:00:00.000Z\",\"2026-06-23T09:30:00.000Z\",\"vip\",\"No\""{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}curl --request GET \
'https://api.convor.io/api/visitors/export/csv' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer convor_sk_...'const response = await fetch("https://api.convor.io/api/visitors/export/csv", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "Bearer convor_sk_..."
},
});
const contentType = response.headers.get("content-type") ?? "";
const data = response.status === 204
? null
: contentType.includes("json")
? await response.json()
: contentType.startsWith("text/")
? await response.text()
: await response.blob();
if (!response.ok) {
const message = typeof data === "object" && data !== null
&& "error" in data && typeof data.error === "object"
&& data.error !== null && "message" in data.error
? String(data.error.message)
: "Convor API request failed (" + response.status + ")";
throw new Error(message);
}
console.log(data);Was this page helpful?